<?php

class m120221_093555_tbl_candidatos_titulaciones extends CDbMigration
{
	public function up()
	{
            $this->createTable('tbl_candidatos_titulaciones', array(
                'id' => 'pk',
                'candidato_id' => 'integer NOT NULL',
                'titulacion' => 'string NOT NULL',
            ));

            $this->addForeignKey('fk_candidatos_titulacion_1', 'tbl_candidatos_titulaciones', 'candidato_id', 'tbl_candidatos', 'id', 'CASCADE', 'CASCADE');
        }

	public function down()
	{
            $this->dropForeignKey('fk_candidatos_titulacion_1', 'tbl_candidatos_titulaciones');
            $this->dropTable('tbl_candidatos_titulaciones');		
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}